Listar saques
curl --request GET \
--url https://api-payment.safefypay.com.br/v1/cashouts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-payment.safefypay.com.br/v1/cashouts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-payment.safefypay.com.br/v1/cashouts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-payment.safefypay.com.br/v1/cashouts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-payment.safefypay.com.br/v1/cashouts")
.header("Authorization", "Bearer <token>")
.asString();{
"data": {
"items": [
{
"id": "b2c3d4e5-f6a7-8901-bcde-f23456789012",
"amount": 50000,
"fee": 200,
"netAmount": 49800,
"status": "Completed",
"pixKeyType": "CPF",
"pixKey": "***456789**",
"endToEndId": "E12345678202501151600xyz789abc012",
"crypto": null,
"failureReason": null,
"requestedAt": "2025-01-15T16:00:00Z",
"completedAt": "2025-01-15T16:05:00Z",
"createdAt": "2025-01-15T16:00:00Z"
}
],
"page": 1,
"pageSize": 20,
"totalItems": 1,
"totalPages": 1,
"hasNextPage": false,
"hasPreviousPage": false
},
"message": null,
"error": null
}{
"data": null,
"message": null,
"error": {
"message": "Token invalido ou expirado.",
"code": "unauthorized"
}
}Saques
Listar saques
Liste e filtre seus saques
GET
/
v1
/
cashouts
Listar saques
curl --request GET \
--url https://api-payment.safefypay.com.br/v1/cashouts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-payment.safefypay.com.br/v1/cashouts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-payment.safefypay.com.br/v1/cashouts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-payment.safefypay.com.br/v1/cashouts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-payment.safefypay.com.br/v1/cashouts")
.header("Authorization", "Bearer <token>")
.asString();{
"data": {
"items": [
{
"id": "b2c3d4e5-f6a7-8901-bcde-f23456789012",
"amount": 50000,
"fee": 200,
"netAmount": 49800,
"status": "Completed",
"pixKeyType": "CPF",
"pixKey": "***456789**",
"endToEndId": "E12345678202501151600xyz789abc012",
"crypto": null,
"failureReason": null,
"requestedAt": "2025-01-15T16:00:00Z",
"completedAt": "2025-01-15T16:05:00Z",
"createdAt": "2025-01-15T16:00:00Z"
}
],
"page": 1,
"pageSize": 20,
"totalItems": 1,
"totalPages": 1,
"hasNextPage": false,
"hasPreviousPage": false
},
"message": null,
"error": null
}{
"data": null,
"message": null,
"error": {
"message": "Token invalido ou expirado.",
"code": "unauthorized"
}
}Retorna uma lista paginada de saques com suporte a filtros de status, data e ID externo.
Autorizações
Token JWT obtido via /v1/auth/token
Parâmetros de consulta
Numero da pagina
Exemplo:
1
Itens por pagina (max: 100)
Exemplo:
20
Filtrar por status
Opções disponíveis:
Pending, Processing, Completed, Failed, Rejected, Cancelled Exemplo:
"Completed"
Data inicial (ISO 8601)
Exemplo:
"2025-01-01T00:00:00Z"
Data final (ISO 8601)
Exemplo:
"2025-01-31T23:59:59Z"